/*Terms of Use
   Please DO NOT steal my letter icons, and don't reproduce
this demo/library as your own or claim it as your own in any way.
   - Polaris8920
*/
world
	view=5
	name="Text Names Demo"

mob
	var
		color=rgb(0,0,0)
	Stat()
		.=..()
		src.overlays=0//Clears the player's overlays so the letters won't build up on top of each other.
		src.Name(src.name)//Activates the Name() proc. The argument matches the text argument in the Name() proc, telling the proc to use that text string.
//Login. Player icon and location are determined.
	Login()
		.=..()
		src.icon='Icons.dmi'
		src.icon_state="Player"
		src.loc=locate(1,1,1)
/*
These two verbs are used to test the demo. The first verb changes your name so you can see what the text name looks like.
Remember, if your name is bigger than 20 characters(that includes spaces and puncuation, your name will be cut off and a "..." will be added.
The second verb changes the color of the text. Note the "removed". This means that to achieve a true green you don't enter (0,255,0), because it is being subtracted from white.
Instead, you should input(255,0,255), because this will take all the red and blue away, and leave you with lots of green.
*/
	verb
		Try_Me()
			TOOSHORT//This tag is called TOOSHORT. It is used when the player's name is shorter than 1 character.
			var
				//This variable is the player's new name. They input it into the variable NewName for later use.
				NewName=input("Please type in your new name.","New Name",src.name)as text
			if(length(NewName)<=0)//If the name is shorter than one character;
				goto TOOSHORT//Ask them for their name again.
			else//If there name is longer than one character;
				src.name=NewName//The variable NewName becomes theie name.
		Change_Color()
			var
				//These variables are the amounts of color to be removed.
				R=input("Input amount of red to be removed.","Red")as num
				G=input("Input amount of green to be removed.","Green")as num
				B=input("Input amount of blue to be removed.","Blue")as num
			//These six if statements make sure the number is a valid color number.
			if(R>=255)
				R=255
			if(G>=255)
				G=255
			if(B>=255)
				B=255
			if(R<=0)
				R=0
			if(G<=0)
				G=0
			if(B<=0)
				B=0
			src.color=rgb(R,G,B)//The player's text color is now the color they selected.
//These are just objs and turfs. Everyone should know what these are.
obj
	letters
		icon='Letters.dmi'
		layer=MOB_LAYER+99
turf
	Grass
		icon='Icons.dmi'
		icon_state="Grass"